pragma foreign_keys = 0;

begin;
attach database 'lahman-raw.db' as 'raw';

create temp table seriespost as
select * from "raw".seriespost;

alter table "seriespost" drop column "lgIDwinner";
alter table "seriespost" drop column "lgIDloser";

CREATE TABLE IF NOT EXISTS main."seriespost" (
	"year"	NUMERIC,
	"round"	NUMERIC,
	"winner"	TEXT,
	"loser"	TEXT,
	"wins"	NUMERIC,
	"losses"	NUMERIC,
	"ties"	NUMERIC,
	PRIMARY KEY("year","round"),
	foreign key("year") references "seasons"("year"),
	foreign key("winner") references "teams"("ID"),
	foreign key("loser") references "teams"("ID")
);

insert into main.seriespost select distinct * from temp."seriespost";
commit;
